import React from 'react';
import ReactDOM from 'react-dom';
import { rect } from 'd3';

const width = 960;
const height = 500;
//const margin = { top: 20, right: 30, bottom: 65, left: 220 };

const App = () => { 
  return(
  <svg width={width-50} height={height-10}>
      <g>
        <animateTransform attributeName="transform" //type="rotate" 
         type="translate"
          from="0 0"
    			to="0 500"
    			begin="0s"
    			dur="1s"
    			repeatCount="indefinite"
    //       values="0 8 8; 45 8 8; 90 8 8; 135 8 8; 180 8 8; 225 8 8; 270 8 8; 315 8 8" 
    //       dur="8s" calcMode="discrete" repeatCount="indefinite" 
    />
        <rect fill="blue" x="70.062" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="100.062" y="15.625" width="2.875" height="10.75"/>
        <rect fill="blue" x="125" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="150.062" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="175" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="200" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="225" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="250" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="300" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="355" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="400" y="15.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="250" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="300" y="15.625" width="2.875" height="10.75"/>
		    <rect fill="blue" x="355" y="30.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="400" y="15.625" width="2.875" height="10.75"/>
		    
        <rect fill="blue" x="70.062" y="-200.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="100.062" y="-215.625" width="2.875" height="10.75"/>
        <rect fill="blue" x="125" y="-200.625" width="2.875" height="10.75"/>
				<rect fill="blue" x="150.062" y="-215.625" width="2.875" height="10.75"/>

      </g>

  </svg>
  ); 
};
ReactDOM.render(<App />, document.getElementById('root'));
